net.sf.jasperreports.data.provider

## Class DataSourceProviderDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter
    - - net.sf.jasperreports.data.provider.DataSourceProviderDataAdapterImpl

- All Implemented Interfaces:
    ClasspathAwareDataAdapter, DataAdapter, DataSourceProviderDataAdapter

      public class DataSourceProviderDataAdapterImpl
      extends AbstractClasspathAwareDataAdapter
      implements DataSourceProviderDataAdapter

  Version:
    $Id: DataSourceProviderDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceProviderDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProviderClass()`
    `void` | `setProviderClass(java.lang.String providerClass)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.ClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### DataSourceProviderDataAdapterImpl

          public DataSourceProviderDataAdapterImpl()

  - ### Method Detail

    - #### getProviderClass

          public java.lang.String getProviderClass()

      Specified by:
        `getProviderClass` in interface `DataSourceProviderDataAdapter`

    - #### setProviderClass

          public void setProviderClass(java.lang.String providerClass)

      Specified by:
        `setProviderClass` in interface `DataSourceProviderDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com